<script>
import PHead from './head/index.vue'
import PMain from './main/index.vue'

export default {
  components: {PHead, PMain},
  data() {
    return {
      user: {},
      company:{}
    }
  },
  mounted() {
    this.user = this.$dataStore.get('user')
    this.company = this.$dataStore.get('company')
    console.log(this.$dataStore)
  }
}
</script>

<template>
  <div class="page">
    <p-head :company="company" :user="user" />
    <p-main/>
  </div>
</template>

<style scoped>
.page {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
}
</style>